### Dockumentor: Docker Compose Documentation Generator

**Dockumentor** is a tool designed to automatically generate comprehensive documentation for Docker Compose configurations.

#### Features:
- **Mermaid Diagram Generation:** Automatically generate Mermaid diagrams that visually map the service relationships and network configurations.
- **Sankey Diagrams for Network and Dependency Insights:** Visualize network ports and service dependencies through Sankey diagrams to better understand internal and external bindings and service interactions.
- **Template-based Documentation:** Customize documentation output using Jinja2 templates, allowing for flexibility in how information is presented.
- **CLI Support:** Comes with a command-line interface to easily generate and update documentation directly from the terminal.
- **Configurable:** Easily adaptable to include more detailed information such as volume mappings, environment variables, and custom commands through a simple YAML configuration.

#### Ideal for:
- Developers looking to automate the documentation of their Docker environments.
- Teams requiring consistent and updated documentation for development, testing, and production setups.
- Educators and trainers who provide tutorials or workshops on Docker and need clear, visual representations of complex configurations.

By simplifying the documentation process, **Dockumentor** helps you focus more on development and less on the manual effort of maintaining up-to-date documentation of your Docker setups.

# Project Status Update

**Development in Progress:** Please note that this project is currently under development. More features and updates are coming soon.

## Author

- [Lucian BLETAN](https://github.com/exaluc)
